Subject: bug#78493: closed (Re: bug#78493: 30.1.90; dired-listing-switches "-hail --group-directories-first" fumbles filename ending with `:')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 May 2025 13:30:03 +0000

Your bug report

#78493: 30.1.90; dired-listing-switches "-hail --group-directories-first" fumbles filename ending with `:'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78493: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78493
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78493: 30.1.90; dired-listing-switches "-hail --group-directories-first" fumbles filename ending with `:'
From: Eli Zaretskii <[email-masked]>
To: Van Ly <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 May 2025 16:28:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 24 May 2025 12:39:01 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >
> > Thanks.  Please try the patch below and tell if it solves the problem.
> >
> 
> The patch solves the problem.  Thank you.

Thanks, installed on the master branch, and closing the bug.

> I had to byte compile dired.el after applying the patch diff inside `emacs -Q'.

Yes, that's expected.

> My experimental environment with quicklisp and ecl inferior-lisp-program complained as follows:
> 
> 
> Compiling file /u/van/src/emacs-30.1.90/lisp/dired.el at Sat May 24 22:20:32 2025
> Entering directory ‘/u/van/src/emacs-30.1.90/lisp/’
> dired.el:848:19: Error: Wrong number of arguments: when-let, 1

I don't see such an error.

> Is there a setting to tell emacs lisp to byte compile in the experimental environment?

What do you mean by "experimental environment", and how does it
different from the "normal" Emacs environment?

Subject: 30.1.90; dired-listing-switches "-hail --group-directories-first" fumbles filename ending with `:'
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Mon, 19 May 2025 12:15:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The contents of directory `plan9-4e/rc/bin' has filenames ending with `:'.

This is a problem when the following setting applies.

  (setopt dired-listing-switches "-hail --group-directories-first")

Before the setting is applied a line appears as follows.

  -rwxr-xr-x 1 van staff  354 Dec 25  2021 9fat:

After the setting is applied the line now looks like this.

  /u/van/src/plan9/plan9-4e/rc/bin/11291923 -rwxr-xr-x 1 van staff  354 Dec 25  2021 9fat:

I am using the `gls' gnu ls command with dired-use-ls-dired variable value being `t'.

I expect the file `9fat:' to appear like `9fs', compare A and B below.

 [A] -> https://sdf.org/~van.ly/img/emacs-30.1.90-dired-1-before-setting.webp
 [B] -> https://sdf.org/~van.ly/img/emacs-30.1.90-dired-2-after-setting.webp

To reproduce observed bug,

  1. start, `emacs -Q'
  2. dired, `C-x d plan9-4e/rc/bin/'
     see: [A]
  3. apply, `(setopt dired-listing-switches "-hail --group-directories-first")'
  4. destroy dired buffer listing `plan9-4e/rc/bin'
  5. dired, `C-x d plan9-4e/rc/bin/'
     see: [B]
  6. note the appearance on the line with filename `9fat:'

-- 
vl